<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layoutadmin}">
<head>
    <meta charset="UTF-8">
    <title>Upload Tugas</title>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/flatpickr/dist/flatpickr.min.css">
</head>
<body onload="updateMaksBobot()">
<div layout:fragment="main">
    <div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
        <div class="container-fluid">
            <div class="header-body">
                <!-- Card stats -->
                <div class="row">
                    <div class="col-xl-12 col-lg-12">
                        <div class="card card-stats mb-4 mb-xl-0">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col">
                                        <h5 class="card-title text-uppercase text-muted mb-0">Score</h5>
                                        <span class="h2 font-weight-bold mb-0">Tugas </span>
                                    </div>
                                    <div class="col-auto">
                                        <div class="icon icon-shape bg-gradient-blue text-white rounded-circle shadow">
                                            <i class="fas fa-user-astronaut"></i>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>

    <div class="container-fluid mt--7">
        <form method="post" id="form-tugas" th:action="@{/studiesActivity/assesment/edit}" th:object="${jadwalTugas}" enctype="multipart/form-data">
            <div class="row">
                <div class="col-md-6 col-sm-12 col-xs-12">
                    <div class="card shadow">
                        <div class="card-header border-0">
                            <div th:if="${gagal}" class="alert alert-danger alert-dismissible fade show" role="alert">
                                <span class="alert-text"> Gagal! Pilih jenis pengiriman tugas terlebih dahulu! </span>
                            </div>
                            <div class="row align-items-center">
                                <div class="col">
                                    <h3 class="mb-0">Form</h3>
                                </div>
                                <div class="col text-right">
                                    <a th:href="@{/studiesActivity/assesment/weight(jadwal=${jadwalTugas.sesiKuliah.jadwal.id})}" class="btn btn-sm btn-default"><i class="fas fa-arrow-circle-left"></i> Kembali</a>
                                </div>
                            </div>
                        </div>
                        <div class="card-body">
                            <div class="row">
                                <div class="col-md-12 col-sm-12 col-xs-12">
                                    <div class="form-group">
                                        <label for="Kategori">Kategori Tugas</label>
                                        <select name="kategoriTugas" id="kategori" onchange="updateMaksBobot()" class="form-control" th:field="*{kategoriTugas}">
                                            <option th:data-bobot="${bobotMaksTugas}" value="TUGAS">Tugas</option>
                                            <option th:data-bobot="${bobotMaksUTS}" value="UTS">UTS</option>
                                            <option th:data-bobot="${bobotMaksUAS}" value="UAS">UAS</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-6 col-xs-12">
                                    <input type="hidden" name="id" th:field="*{id}">
                                    <input type="hidden" name="sesiKuliah" th:field="*{sesiKuliah}">
                                    <div class="form-group">
                                        <label>Pertemuan :</label>
                                        <select class="form-control" style="width: 100%!important;" name="pertemuanKe" th:field="*{pertemuanKe}">
                                            <option value="1">1</option>
                                            <option value="2">2</option>
                                            <option value="3">3</option>
                                            <option value="4">4</option>
                                            <option value="5">5</option>
                                            <option value="6">6</option>
                                            <option value="7">7</option>
                                            <option value="8">8</option>
                                            <option value="9">9</option>
                                            <option value="10">10</option>
                                            <option value="11">11</option>
                                            <option value="12">12</option>
                                            <option value="13">13</option>
                                            <option value="14">14</option>
                                            <option value="15">15</option>
                                            <option value="16">16</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-6 col-xs-12">
                                    <div class="form-group">
                                        <label>Bobot :</label>
                                        <input type="number" step="any" name="bobot" id="maksBobot" class="form-control" th:field="*{bobot}" required>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label>Nama Tugas :</label>
                                        <input type="text" name="namaTugas" class="form-control" th:field="*{namaTugas}" required>
                                    </div>
                                    <div class="form-group">
                                        <label>Deskripsi :</label>
                                        <textarea name="deskripsi" id="deskripsi" cols="30" rows="3" class="form-control" th:field="*{deskripsi}"></textarea>
                                    </div>
                                    <div class="form-group">
                                        <label>Petunjuk aktivitas :</label>
                                        <textarea name="petunjukAktivitas" id="petunjuk" cols="30" rows="3" class="form-control" th:field="*{petunjukAktivitas}"></textarea>
                                    </div>
                                    <div class="form-group">
                                        <label>Upload File :</label>
                                        <input type="file" name="fileTugas" class="form-control">
                                    </div>
                                    <div class="form-group">
                                        <label>Waktu mulai : </label>
                                        <input type="text" name="waktuMulai" class="form-control tanggal" th:field="*{waktuMulai}" autocomplete="off">
                                    </div>
                                    <div class="form-group">
                                        <input type="hidden" name="file" th:field="*{file}">
                                        <input type="hidden" name="namaFile" th:field="*{namaFile}">
                                        <label>Tenggat waktu pengumpulan : </label>
                                        <input type="text" id="tenggat" name="tenggatWaktu" class="form-control tanggal" th:field="*{tenggatWaktu}" required autocomplete="off">
                                    </div>
                                    <div class="form-group">
                                        <label>Jenis Pengiriman : </label>
                                        <div class="row">
                                            <div class="col-md-3">
                                                <input type="checkbox" id="online" name="online" class="js-switch" value="ONLINE_TEKS" th:checked="${onlineteks}">
                                                <label for="online">Online Teks</label>
                                            </div>
                                            <div class="col-md-3">
                                                <input type="checkbox" id="uploadfile" name="upload" class="js-switch" value="UPLOAD_FILE" th:checked="${uploadfile}">
                                                <label for="uploadfile" >Upload file</label>
                                            </div>
                                            <div class="col-md-3">
                                                <input type="checkbox" id="presentasi" name="presentasi" class="js-switch" value="Presentasi" th:checked="${presentasi}">
                                                <label for="presentasi" >Presentasi</label>
                                            </div>
                                            <div id="checkboxUjian" class="col-md-3">
                                                <input type="checkbox" id="ujian" name="ujian" class="js-switch" value="UJian" th:checked="${ujian}">
                                                <label for="ujian" >Ujian</label>
                                            </div>
                                        </div>
                                    </div>
                                    <div id="upFile" class="form-group">
                                        <label>Maksimal file yang bisa di upload : </label>
                                        <input type="number" min="2" max="10" name="batasupload" class="form-control" th:field="*{maksFileUpload}">
                                    </div>
                                </div>

                            </div>
                            <div class="form-group">
                                <button type="submit" class="btn btn-primary" id="btn-save" onclick="saveTugas()">Save</button>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-6 col-sm-12 col-xs-12" id="question">
                    <div class="card shadow">
                        <div class="card-header border-0">
                            <h3 class="mb-0">List Pertanyaan</h3>
                        </div>
                        <div class="card-body">
                            <div class="form-group">
                                <label>Masukkan Pertanyaan : </label>
                                <textarea name="pertanyaan" id="pertanyaan" cols="30" rows="10" class="form-control" th:field="*{pertanyaan}"></textarea><br><br>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </div>
</div>
</body>
</html>
<script src="https://cdn.jsdelivr.net/npm/flatpickr"></script>
<script>
    flatpickr(".tanggal", {
        enableTime: true,
        minDate: "today",
        dateFormat: "Y-m-d H:i:S",
        time_24hr: true,
        allowInput:true
    });

    $(function (){
        $("#upFile").hide();
        $("#question").hide();
        var isOnlineChecked = $("#online").is(":checked");
        if (isOnlineChecked){
            $("#question").show();
        }
        var isUploadChecked = $("#uploadfile").is(":checked")
        if (isUploadChecked){
            $("#upFile").show();
        }
        $("#online").click(function (){
            if ($("#online").is(":checked")){
                $("#question").show();
            }else{
                $("#question").hide();
            }
        });
        $("#uploadfile").on('change', function (){
            var isChecked = $(this).prop('checked');
            if (isChecked){
                $("#upFile").show();
                $("input[name='batasupload']").attr('required', 'required');
            }else{
                $("#upFile").hide();
                $("input[name='batasupload']").removeAttr('required');
            }
        });
    });

    // tinymce
    tinymce.init({
        selector: 'textarea#pertanyaan',
        promotion: false,
        statusbar: false,
        toolbar: 'styles | bold italic | alignleft aligncenter alignright alignjustify | ' +
            'bullist numlist| link image | print preview media fullscreen | ' +
            'forecolor backcolor emoticons | help',
        plugins: [
            'advlist', 'autolink', 'link', 'image', 'lists', 'charmap', 'preview', 'anchor', 'pagebreak',
            'searchreplace', 'wordcount', 'visualblocks', 'visualchars', 'code', 'fullscreen', 'insertdatetime',
            'media', 'table', 'emoticons', 'help'
        ],
    });

</script>
<script>

    function saveTugas(){
        const form = $('#form-tugas');
        if (form.checkValidity()){
            $('#btn-save').removeClass('btn-primary').addClass('btn-warning').prop('disabled', true).html('Loading . . .');

            form.submit();
        }else {
            form.reportValidity();
        }
    }

    function updateMaksBobot(){
        const select = document.getElementById('kategori');
        const bobot = document.getElementById('maksBobot');

        const ujianCheckbox = document.getElementById('checkboxUjian');
        const ujianInput = document.getElementById('ujian');

        const idSelect = select.value;
        const option = select.options[select.selectedIndex];

        if (idSelect === 'UTS' || idSelect === 'UAS'){
            ujianCheckbox.style.display = 'block';
            ujianInput.checked = true;
            document.getElementById('ujian').addEventListener('click', function (event){
                event.preventDefault();
            });
        }else{
            ujianCheckbox.style.display = 'none';
            ujianInput.checked = false;
        }

        let bobotMaks = option.getAttribute('data-bobot');

        if (bobotMaks){
            bobot.placeholder = `Maks : ${bobotMaks}`;
            bobot.max = bobotMaks;
        }

    }
</script>